Skip to navigation

Update Storefront SEO Settings

Updates SEO settings.

  • You can use channel_id as a query parameter to update channel-specific settings. If omitted, you will only interact with the global settings.

  • You can use channel_id in the request body of a headless channel of this endpoint to control the www_redirect settings for the headless channel’s unique checkout URL.

  • null should be supplied to delete overrides per given channel and to inherit values from a global level.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Information & Settingsmodifystore_v2_information
Information & Settingsread-onlystore_v2_information_read_only

NOTE: Analytics endpoints require the Content (store_v2_content and store_v2_content_read_only) OAuth scope.

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Query parameters

channel_idintegerOptional

Channel ID to use for channel-specific settings. If omitted, you will interact with the global settings only.

Request

This endpoint expects an object.
meta_descriptionstringOptional
meta_keywordsstringOptional
page_titlestringOptional
www_redirectenumOptional
Allowed values:

Response

OK
dataobjectOptional
metaobjectOptional
Response metadata.

Errors

422
Unprocessable Entity Error